**`(805) 504-6695`[PHONES_PHONE]** -NL- **`greg.ball.cs@gmail.com`[EMAILS_EMAIL]** -NL- **`GREGORY M. BALL`[NAME]** -NL- gregorymichaelball.com -NL- **`Skills & Qualifications`[SKILLS_HEADING]** -NL- **`Accomplishments`[OTHERS_HEADING]** -NL-  Technical Briefing and Teaching  Java  Android -NL-  2015 **`NAVAIR`[EMPLOYER_COMPANY_NAME]** Mentor of the Year -NL-  Requirements Solicitation -NL-  Swing  JUnit -NL-  Mission Data Subject Matter Expert before graduating -NL-  Software Architecture Design  XML  IntelliJ IDEA -NL- college -NL-  Agile Software Processes -NL-  C/C++  YouTrack -NL-  Taught technical training courses internationally -NL-  Debugging and problem solving  C#  Subversion -NL-  Presented at STEM events for young students -NL-  DAWIA Level 2 Certified in -NL-  PHP  Mercurial -NL-  Hosted over 60 interviewing candidates at “meet-and- -NL- Engineering -NL-  HTML  Linux -NL- greets” in order to promote the organization -NL-  Electronic Warfare -NL-  SQL  MIL-STD-1553 -NL-  Learning as Leadership We- -NL- Lead graduate -NL-  Secret Clearance -NL- **`Work Experience`[WORK_EXPERIENCE_HEADING]** -NL- **`Software Team Lead`[EMPLOYER_ROLE]**, **`NAVAIR`[EMPLOYER_COMPANY_NAME]** -NL- January 2013—Present -NL-  Define, document, design, and develop a software application to aggregate, analyze and visualizeflight and lab test data pri- -NL- marily for Electronic Warfare (EW) systems. Utilized Government Off The Shelf (GOTS) software and other available libraries -NL- to provide customers a cost-efficient solution with the most capability in the shortest amount oftime. -NL-  Manage up to seven simultaneous engineers included tasking, training, teaching, and technical guidance. -NL-  Interviewed and mentored eight interns. -NL-  Decomposed functional requirements into software requirements. -NL-  Designed and implemented a plug-in architecture from the ground-up to allow for quick addition of new features. -NL-  Create custom Java Swing elements to create simple user interfaces for complex tasks in order to enhance user experience. -NL-  Brief our product at technical meetings and demonstrations and increased the user base from one customer to four. In doing -NL- so, our project has received more funding each year with this year bringing in over $500,000 to the organization. -NL-  Create and communicate project plans and funding documents to management and the program office. -NL-  Set-up and manage closed development network including enterprise tools for our development team. -NL-  Stand in for the organization’s software lead and chaired weekly software status meetings. -NL- **`Mission Data Generator Software Engineer`[EMPLOYER_ROLE]**, **`NAVAIR`[EMPLOYER_COMPANY_NAME]** -NL- April 2009—March 2013 -NL-  Critical to the entire life-cycle of the software toolset used in the creation and modification of mission data libraries for the -NL- APR-39 Radar Warning Receiver (RWR). -NL-  Wrote documentation, created briefs, and chaired milestones throughout the life-cycle of the software products. -NL-  Gathered requirements from users and wrote software requirement documentation. -NL-  Identified, managed, and mitigated project risks. -NL-  Worked closely with government contractors to ensure that new features met requirements by helping with the design and -NL- providing important system knowledge. -NL-  Tested software, documented anomalies, and provided solutions. -NL-  Designed, implemented, and tested features in the suite of software tools using C#. -NL-  Designed SQL database schema and queries. -NL-  Created and used training curriculum for foreign and domestic customers in use of our software and the system it supported. -NL- **`Mission Data and Systems Engineer`[EMPLOYER_ROLE]**/Intern, **`NAVAIR`[EMPLOYER_COMPANY_NAME]** -NL- March 2008—January 2013 -NL-  Developed over 12 mission data libraries for a the APR-39 RWR. -NL-  Tested hardware and software, documented and analyzed issues, and implemented solutions. -NL-  Worked with Operational Flight Program (OFP) software engineers to design features for software updates. -NL-  Provided technical expertise during Technical Interchange Meetings (TIMs) and other important meetings and milestones. -NL-  Trained several mission data and system engineers on the RWR, intelligence analysis, and testing. -NL-  Started and maintained a closed network wiki to better document lessons learned and technical knowledge. -NL- **`Education`[EDUCATION_HEADING]** -NL- B.S. in **`Computer Science`[EDUCATION_COURSE]**,**` Cal State University Channel Islands`[EDUCATION_INSTITUTE]** -NL- Graduated May 2012 -NL-  Graduated Cum-Laude with 3.5 GPA -NL- References available upon request -NL- 